apiVersion: minio.min.io/v2
kind: Tenant
metadata:
  name: shared-minio
  namespace: minio
spec:
  pools:
    - servers: 1
      name: pool-0
      volumesPerServer: 1
      volumeClaimTemplate:
        metadata:
          name: data
        spec:
          accessModes:
            - ReadWriteOnce
          resources:
            requests:
              storage: 20Gi
          storageClassName: yc-network-hdd
      resources:
        requests:
          cpu: 100m
          memory: 256Mi
        limits:
          cpu: 500m
          memory: 512Mi
  configuration:
    name: shared-minio-creds
  mountPath: /export
  requestAutoCert: false
  users:
    - name: mastodon
  buckets:
    - name: mastodon
